Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-11-29 04:06:57 +0300
committerJunio C Hamano <gitster@pobox.com>2007-11-29 04:06:57 +0300
commitd25430c5f88c7e7b4ce24c1b08e409f4345c4eb9 (patch)
tree88de4825ce11d7eaed4719b0b9db1d0e649f9107 /git-rebase.sh
parentb3a4f8586b4ffa6c896cf0afb2ea49d64faf81ad (diff)
parent38762c47d6442dc0ce0f45533f9151877c485337 (diff)
Merge branch 'maint'
* maint: scripts: do not get confused with HEAD in work tree Improve description of git-branch -d and -D in man page.
Diffstat (limited to 'git-rebase.sh')
-rwxr-xr-xgit-rebase.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-rebase.sh b/git-rebase.sh
index 461ca8d93f..bdcea0ed70 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -61,7 +61,7 @@ continue_merge () {
fi
cmt=`cat "$dotest/current"`
- if ! git diff-index --quiet HEAD
+ if ! git diff-index --quiet HEAD --
then
if ! git-commit -C "$cmt"
then
@@ -285,7 +285,7 @@ fi
# The tree must be really really clean.
git update-index --refresh || exit
-diff=$(git diff-index --cached --name-status -r HEAD)
+diff=$(git diff-index --cached --name-status -r HEAD --)
case "$diff" in
?*) echo "cannot rebase: your index is not up-to-date"
echo "$diff"